MONGOC_URI_SET_OPTION_AS_UTF8(3)

NAME
mongoc_uri_set_option_as_utf8 - mongoc_uri_set_option_as_utf8()

SYNOPSIS

        bool
        mongoc_uri_set_option_as_utf8 (const mongoc_uri_t *uri,
                                       const char *option,
                                       utf8 value);

PARAMETERS

    •   uri: A mongoc_uri_t.

    •   option: The name of an option, case insensitive.

    •   value: The new value.

DESCRIPTION

Sets an individual URI option, after the URI has been parsed from a string.

Only known string-type options can be set.

Updates the option in-place if already set, otherwise appends it to the URI's bson_t of options.

RETURNS

True if successfully set (the named option is a known option of string type).

AUTHOR
MongoDB, Inc

COPYRIGHT
2017-present, MongoDB, Inc